function  [sys, x0]  = robplot(t,x,u,flag,ax)
%SFUNXY an S-function which acts an X-Y scope using MATLAB's plotting functions.
%
%       This M-file is designed to be used in a SIMULAB S-function block.
%       It stores the last input point using discrete states 
%	and then plots this against the most recent input. 
%
%	Set this M-file up in an S-function block with a MUX with 3
%	inputs feeding into this block. Set the function parameter
%	up as a four element vector which defines the axis of the graph.
%
%	

%	Copyright (c) 1991 by the MathWorks, Inc.
%	Andrew Grace 5-30-91.
%	Modificato da :
%	Stefano Panzieri 7-15-92.

sample=0.07;

if abs(flag) == 2   	% A real time hit 

       	figure(1),clf
    	hold on
        
        x_pos=0;
        angolo=-u(1)+pi;
        l=2.5;
        lh=line([x_pos  x_pos+l*sin(angolo)],[0 l*cos(angolo)]);
        set(lh,'LineWidth',3)
        
        ph=plot(x_pos+l*sin(angolo),l*cos(angolo),'ro');
        set(ph,'LineWidth',12)

        
      	axis(ax)			% Set up the axis
        axis square
        grid on
		hold off
        pause(0)
        drawnow

		sys = [0 0 0 0 0 0 0 0 ];         % Stato successivo




elseif flag  == 0, 	% Initialization
        sys = [0;8;0;3;0;0]; 	% System sizes - 8 discrete states, 3 inputs
        x0 = [Inf; Inf; Inf; Inf; Inf; Inf; Inf; Inf]; 	% Flag to indicate first point
	% Initialize graph
	figure(1),clf
	hold on

    
  	axis(ax)			% Set up the axis
    axis square

elseif flag == 4,  % Next discrete update
	
       	%sys=ceil(t/sample+sample/1e8)*sample;
        sys=t+sample;

else
        sys = [];
end
